Bug 284201 - unichrome chipset clips DRI windows too much
unichrome chipset clips DRI windows too much
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-via (Show other bugs)
7
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
: 421271 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-09 21:51 EDT by Michael Forrest
Modified: 2008-06-16 22:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:22:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot showing the clipping problem (726.04 KB, image/png)
2007-09-09 21:51 EDT, Michael Forrest
no flags Details
LH nav. panel width increased, increasing RHS clipping error (633.41 KB, image/png)
2007-09-09 21:57 EDT, Michael Forrest
no flags Details
Same view on FC 6 with no clipping problem (874.99 KB, image/png)
2007-09-09 22:01 EDT, Michael Forrest
no flags Details
Output of glxinfo -l for F7 (4.62 KB, text/plain)
2007-09-14 07:12 EDT, Michael Forrest
no flags Details
Please ignore this attachment (3.66 KB, text/plain)
2007-09-14 07:15 EDT, Michael Forrest
no flags Details
Xorg logfile for F7 (46.53 KB, text/plain)
2007-09-14 07:16 EDT, Michael Forrest
no flags Details
Xorg logfile for FC6 (47.91 KB, text/plain)
2007-09-14 07:18 EDT, Michael Forrest
no flags Details

  None (edit)
Description Michael Forrest 2007-09-09 21:51:43 EDT
Description of problem:
A regression from Fedora Core 6 seems to have occurroed with DRI
using Fedora 7 on my via motherboard (which uses unicrhome_dri.so).
A DRI window is clipped wrongly, resulting in an incomplete user
interface.

This bug is stopping me from moving to Fedora 7.

Version-Release number of selected component (if applicable):
mesa-libGL-6.5.2-13.fc7

How reproducible:
Always

Steps to Reproduce:
1. Run GoogleEarth
  
Actual results:
The viewing window is clipped on the right and bottom, which make the control
in the top right corner unusable, as well as occluding map data.

Expected results:
The viewing window should not be clipped.

Additional info:
I suspect this may have been caused by the patch for

https://bugzilla.redhat.com/show_bug.cgi?id=247254

Note that above patch is needed so the DRI window is placed
correctly on the screen - its just that the contents of
the DRI window are incorrectly clipped.

I will attach some screenshots. Note that the clipping problem becomes worse
if I increase the width of the left hand navigation pane.
Comment 1 Michael Forrest 2007-09-09 21:51:43 EDT
Created attachment 191171 [details]
Screen shot showing the clipping problem
Comment 2 Michael Forrest 2007-09-09 21:57:30 EDT
Created attachment 191181 [details]
LH nav. panel width increased, increasing RHS clipping error
Comment 3 Michael Forrest 2007-09-09 22:01:15 EDT
Created attachment 191191 [details]
Same view on FC 6 with no clipping problem
Comment 4 Adam Jackson 2007-09-11 09:36:25 EDT
Can you attach the output of 'glxinfo -l' ?  I wonder if your maximum texture
size didn't go weird.
Comment 5 Michael Forrest 2007-09-14 07:12:40 EDT
Created attachment 195711 [details]
Output of glxinfo -l for  F7
Comment 6 Michael Forrest 2007-09-14 07:15:18 EDT
Created attachment 195731 [details]
Please ignore this attachment
Comment 7 Michael Forrest 2007-09-14 07:16:25 EDT
Created attachment 195741 [details]
Xorg logfile for F7
Comment 8 Michael Forrest 2007-09-14 07:18:22 EDT
Created attachment 195751 [details]
Xorg logfile for FC6
Comment 9 Michael Forrest 2007-09-14 07:21:31 EDT
Not quite sure how the number of textures could cause this kind of hard clipping,
but I have included glxinfo -l output and Xorg logfile from both F& and FC8.
Comment 10 Michael Forrest 2007-09-14 07:31:44 EDT
Comment on attachment 195731 [details]
Please ignore this attachment

libGL warning: 3D driver claims to not support visual 0x46
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating, 
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_OML_swap_method, 
    GLX_SGI_make_current_read, GLX_SGIS_multisample, GLX_SGIX_hyperpipe, 
    GLX_SGIX_swap_barrier, GLX_SGIX_fbconfig, GLX_MESA_copy_sub_buffer
client glx vendor string: SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory, 
    GLX_MESA_copy_sub_buffer, GLX_MESA_swap_control, 
    GLX_MESA_swap_frame_usage, GLX_OML_swap_method, GLX_OML_sync_control, 
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap
GLX version: 1.2
GLX extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_swap_control, 
    GLX_MESA_swap_frame_usage, GLX_OML_swap_method, GLX_SGI_video_sync, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig
OpenGL vendor string: VIA Technology
OpenGL renderer string: Mesa DRI UniChrome (KM400) 20060710 x86/MMX/SSE2
OpenGL version string: 1.2 Mesa 6.5.1
OpenGL extensions:
    GL_ARB_imaging, GL_ARB_multisample, GL_ARB_multitexture, 
    GL_ARB_point_parameters, GL_ARB_texture_env_add, 
    GL_ARB_texture_env_combine, GL_ARB_texture_mirrored_repeat, 
    GL_ARB_transpose_matrix, GL_ARB_window_pos, GL_EXT_abgr, GL_EXT_bgra, 
    GL_EXT_blend_color, GL_EXT_blend_minmax, GL_EXT_blend_subtract, 
    GL_EXT_clip_volume_hint, GL_EXT_compiled_vertex_array, GL_EXT_convolution, 
    GL_EXT_copy_texture, GL_EXT_draw_range_elements, GL_EXT_fog_coord, 
    GL_EXT_histogram, GL_EXT_packed_pixels, GL_EXT_point_parameters, 
    GL_EXT_polygon_offset, GL_EXT_rescale_normal, GL_EXT_secondary_color, 
    GL_EXT_separate_specular_color, GL_EXT_stencil_wrap, GL_EXT_subtexture, 
    GL_EXT_texture, GL_EXT_texture3D, GL_EXT_texture_edge_clamp, 
    GL_EXT_texture_env_add, GL_EXT_texture_env_combine, 
    GL_EXT_texture_lod_bias, GL_EXT_texture_object, GL_EXT_vertex_array, 
    GL_APPLE_packed_pixels, GL_IBM_rasterpos_clip, 
    GL_IBM_texture_mirrored_repeat, GL_MESA_window_pos, GL_NV_blend_square, 
    GL_NV_light_max_exponent, GL_NV_texgen_reflection, GL_OES_read_format, 
    GL_SGI_color_matrix, GL_SGI_color_table, GL_SGIS_texture_edge_clamp, 
    GL_SGIS_texture_lod
OpenGL limits:
    GL_MAX_ATTRIB_STACK_DEPTH = 16
    GL_MAX_CLIENT_ATTRIB_STACK_DEPTH = 16
    GL_MAX_CLIP_PLANES = 6
    GL_MAX_COLOR_MATRIX_STACK_DEPTH = 4
    GL_MAX_ELEMENTS_VERTICES = 3000
    GL_MAX_ELEMENTS_INDICES = 3000
    GL_MAX_EVAL_ORDER = 30
    GL_MAX_LIGHTS = 8
    GL_MAX_LIST_NESTING = 64
    GL_MAX_MODELVIEW_STACK_DEPTH = 32
    GL_MAX_NAME_STACK_DEPTH = 64
    GL_MAX_PIXEL_MAP_TABLE = 256
    GL_MAX_PROJECTION_STACK_DEPTH = 32
    GL_MAX_TEXTURE_STACK_DEPTH = 10
    GL_MAX_TEXTURE_SIZE = 512
    GL_MAX_3D_TEXTURE_SIZE = 256
    GL_MAX_VIEWPORT_DIMS = 4096, 4096
    GL_ALIASED_LINE_WIDTH_RANGE = 1, 1
    GL_SMOOTH_LINE_WIDTH_RANGE = 1, 1
    GL_ALIASED_POINT_SIZE_RANGE = 1, 1
    GL_SMOOTH_POINT_SIZE_RANGE = 1, 1
    GL_MAX_TEXTURE_UNITS_ARB = 2
    GL_MAX_TEXTURE_LOD_BIAS_EXT = 11
    GL_MAX_CONVOLUTION_WIDTH/HEIGHT = 9, 9

   visual  x  bf lv rg d st colorbuffer ax dp st accumbuffer  ms  cav
 id dep cl sp sz l  ci b ro  r	g  b  a bf th cl  r  g	b  a ns b eat
----------------------------------------------------------------------
0x22 24 tc  0 32  0 r  y  .  8	8  8  8  0 24  8  0  0	0  0  0 0 None
0x23 24 tc  0 32  0 r  .  .  8	8  8  8  0 24  8  0  0	0  0  0 0 None
0x24 24 tc  0 32  0 r  y  .  8	8  8  8  0 16  0  0  0	0  0  0 0 None
0x25 24 tc  0 32  0 r  .  .  8	8  8  8  0 16  0  0  0	0  0  0 0 None
0x26 24 tc  0 32  0 r  y  .  8	8  8  8  0  0  0  0  0	0  0  0 0 None
0x27 24 tc  0 32  0 r  .  .  8	8  8  8  0  0  0  0  0	0  0  0 0 None
0x28 24 tc  0 32  0 r  y  .  8	8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x29 24 tc  0 32  0 r  .  .  8	8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x2a 24 tc  0 32  0 r  y  .  8	8  8  8  0 16  0 16 16 16 16  0 0 Slow
0x2b 24 tc  0 32  0 r  .  .  8	8  8  8  0 16  0 16 16 16 16  0 0 Slow
0x2c 24 tc  0 32  0 r  y  .  8	8  8  8  0  0  0 16 16 16 16  0 0 Slow
0x2d 24 tc  0 32  0 r  .  .  8	8  8  8  0  0  0 16 16 16 16  0 0 Slow
0x46 32 tc  0 32  0 r  .  .  8	8  8  8  0  0  0  0  0	0  0  0 0 Ncon
Comment 11 Michael Forrest 2007-09-14 07:41:40 EDT
Well, that edit I just did of the glxinfo output for FC6 didn't do quite what
I wanted!

Please note the glxinfo -l output for FC6 is now attached as comment 10.

Sorry for the mess...
Comment 12 Michael Forrest 2007-09-27 06:18:11 EDT
Can I provide any additional info for you, ajax?

It has been close to two weeks now, and I am keen to be able to move to
Fedora 7.
Comment 13 Michael Forrest 2007-09-30 05:55:54 EDT
After 2 and a half weeks,  I am changing the severity of this
issue to high to illicit some kind of response from the GL
maintainers.

Please note that this issue is preventing me from switching to Fedora 7
(I need DRI to be fully functional on my box).
Comment 14 Michael Forrest 2007-10-10 06:35:11 EDT
I have just realised that I had inadvertently set the severity to low instead of
high (doh!). I have now set it to high (this bug is still blocking my move to
Fedora 7)
Comment 15 Matěj Cepl 2008-01-21 11:19:53 EST
*** Bug 421271 has been marked as a duplicate of this bug. ***
Comment 16 Bug Zapper 2008-05-14 10:18:56 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2008-06-16 22:22:29 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.